Bug 1316800 - Kdump nfs test is failing on RHEL 6.7 for rhcert tool version 2.0 [NEEDINFO]
Kdump nfs test is failing on RHEL 6.7 for rhcert tool version 2.0
Status: CLOSED NOTABUG
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification-hardware (Show other bugs)
1.0
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: brose
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-11 02:10 EST by sambit taria
Modified: 2016-03-15 09:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-15 09:48:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tgummels: needinfo? (staria)


Attachments (Terms of Use)
test run log (2.21 KB, text/plain)
2016-03-11 02:10 EST, sambit taria
no flags Details

  None (edit)
Description sambit taria 2016-03-11 02:10:26 EST
Created attachment 1135128 [details]
test run log

Description of problem:
The rhcert tool is not able to verify kdump image.The rhcert tool is not able to find actual path of the vmlinux file.

Version-Release number of selected component (if applicable):

redhat-certification-backend-2.0-20151117.el6.noarch

redhat-certification-hardware-1.6.6-20150901.el6.noarch

redhat-certification-information-1.6.6-20150901.el6.noarch

kernel-debuginfo-2.6.32-573.8.1.el6.x86_64

kernel-debuginfo-common-x86_64-2.6.32-573.8.1.el6.x86_64


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

1.Install the rhcert tool on RHEL6.7
2.Install kernel-debuginfo and and kernel-debuginfo-common rpm
2.Run the Kdump local test
3.Check the result in /var/log/rhcert/run/x/...

Actual results:
The test script is not able to find the actual path of vmlinux file and hence not able to verify the vmcore file

Expected results:

The test should be able to identify the path of vmlinux file and be able to verify the vmcore file


Actual results:


Expected results:


Additional info:
Comment 1 Travis Gummels 2016-03-14 10:23:21 EDT
You are going to need to install the matching kernel-debuginfo for the kernel the system has booted otherwise you get the crash error not being able to find vmlinux.  Note that the installed version of kernel-debuginfo has a kernel version specific directory hence the error.

# rpm -q kernel-debuginfo
kernel-debuginfo-2.6.32-573.18.1.el6.x86_64

# pwd
/usr/lib/debug/lib/modules/2.6.32-573.18.1.el6.x86_64

# ls -l
...
-rwxr-xr-x.  1 root root 135624055 Jan  6 13:09 vmlinux

# rpm -q kernel-debuginfo
kernel-debuginfo-2.6.32-573.el6.x86_64

# pwd
/usr/lib/debug/lib/modules/2.6.32-573.el6.x86_64

# ls -l
...
-rwxr-xr-x.  1 root root 135375691 Jul  1  2015 vmlinux
Comment 2 Praveen 2016-03-15 02:36:51 EDT
Working after trying the above work around.
Comment 3 Travis Gummels 2016-03-15 09:48:42 EDT
Praveen,

It is necessary that for the version of the kernel running on the system that will have the kdump test performed that a matching version of kernel-debuginfo be installed.  There needs to be version parity between the two packages, kernel and kernel-debuginfo, for the test to work properly.

Travis

Note You need to log in before you can comment on or make changes to this bug.